Loading...
Searching...
No Matches
LibSerial::NotOpen Class Reference

Exception error thrown when the serial port is not open. More...

`#include <SerialPortConstants.h>`

Inheritance diagram for LibSerial::NotOpen:
[legend]
Collaboration diagram for LibSerial::NotOpen:
[legend]

## Public Member Functions

| NotOpen (const std::string &whatArg)
| Exception error thrown when the serial port is not open.

## Detailed Description

Exception error thrown when the serial port is not open.

Note
  - For reference, below is a list of std::exception types: logic_error invalid_argument domain_error length_error out_of_range future_error runtime_error range_error overflow_error underflow_error regex_error system_error ios_base::failure bad_typeid bad_cast bad_weak_ptr bad_function_call bad_alloc bad_array_new_length bad_exception

Definition at line 125 of file SerialPortConstants.h.

## Constructor & Destructor Documentation

## NotOpen()

LibSerial::NotOpen::NotOpen | ( | const std::string & | whatArg | ) |

inline explicit

Exception error thrown when the serial port is not open.

Definition at line 131 of file SerialPortConstants.h.

The documentation for this class was generated from the following file:

- src/libserial/SerialPortConstants.h